summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-03 12:37:42 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-03 12:37:42 +0000
commit4d1c1817e77f9dded42aadcf230bdfc86c68db4e (patch)
tree94dcec0ceab18a205cef9826d27dd2638a00775f /dev-python
parent7d1ac4d0ac34a2d45da617be0eafbfa01236d35a (diff)
downloadbaldeagleos-repo-4d1c1817e77f9dded42aadcf230bdfc86c68db4e.tar.gz
baldeagleos-repo-4d1c1817e77f9dded42aadcf230bdfc86c68db4e.tar.xz
baldeagleos-repo-4d1c1817e77f9dded42aadcf230bdfc86c68db4e.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/asyncstdlib/Manifest1
-rw-r--r--dev-python/asyncstdlib/asyncstdlib-3.10.5.ebuild25
-rw-r--r--dev-python/autobahn/Manifest1
-rw-r--r--dev-python/autobahn/autobahn-22.3.2-r1.ebuild (renamed from dev-python/autobahn/autobahn-22.3.2.ebuild)5
-rw-r--r--dev-python/autobahn/autobahn-22.4.2.ebuild5
-rw-r--r--dev-python/autobahn/autobahn-22.5.1-r1.ebuild117
-rw-r--r--dev-python/automat/automat-20.2.0-r1.ebuild1
-rw-r--r--dev-python/awxkit/Manifest1
-rw-r--r--dev-python/awxkit/awxkit-21.1.0.ebuild40
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.24.2.ebuild68
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.27.2.ebuild70
-rw-r--r--dev-python/bottle/Manifest2
-rw-r--r--dev-python/bottle/bottle-0.12.19-r1.ebuild55
-rw-r--r--dev-python/bottle/bottle-0.12.19.ebuild47
-rw-r--r--dev-python/bottle/bottle-0.12.20.ebuild55
-rw-r--r--dev-python/bottle/bottle-0.12.21.ebuild2
-rw-r--r--dev-python/confluent-kafka/confluent-kafka-1.8.2-r1.ebuild1
-rw-r--r--dev-python/coverage/Manifest1
-rw-r--r--dev-python/coverage/coverage-6.4.1.ebuild68
-rw-r--r--dev-python/cssutils/Manifest1
-rw-r--r--dev-python/cssutils/cssutils-2.4.1.ebuild41
-rw-r--r--dev-python/digitalocean/Manifest2
-rw-r--r--dev-python/digitalocean/digitalocean-1.17.0.ebuild3
-rw-r--r--dev-python/lxml/Manifest2
-rw-r--r--dev-python/matterhook/matterhook-0.2-r2.ebuild19
-rw-r--r--dev-python/plotly/Manifest1
-rw-r--r--dev-python/plotly/files/plotly-5.8.0-fix-versioneer-import.patch15
-rw-r--r--dev-python/plotly/plotly-5.8.0.ebuild63
-rw-r--r--dev-python/pytest-shell-utilities/Manifest1
-rw-r--r--dev-python/pytest-shell-utilities/pytest-shell-utilities-1.5.0.ebuild42
-rw-r--r--dev-python/regex/Manifest1
-rw-r--r--dev-python/regex/regex-2022.6.2.ebuild35
-rw-r--r--dev-python/sphinx/Manifest1
-rw-r--r--dev-python/sphinx/sphinx-5.0.1.ebuild122
-rw-r--r--dev-python/tempest/Manifest1
-rw-r--r--dev-python/tempest/tempest-31.0.0.ebuild73
-rw-r--r--dev-python/thrift/Manifest1
-rw-r--r--dev-python/thrift/thrift-0.16.0.ebuild18
-rw-r--r--dev-python/trivup/trivup-0.10.0.ebuild2
-rw-r--r--dev-python/tweepy/Manifest1
-rw-r--r--dev-python/tweepy/tweepy-4.10.0.ebuild31
43 files changed, 876 insertions, 167 deletions
diff --git a/dev-python/asyncstdlib/Manifest b/dev-python/asyncstdlib/Manifest
index e2bc46e22f06..c126eec5dbbb 100644
--- a/dev-python/asyncstdlib/Manifest
+++ b/dev-python/asyncstdlib/Manifest
@@ -1 +1,2 @@
DIST asyncstdlib-3.10.4.gh.tar.gz 52905 BLAKE2B 7b71e816395ab9e33ad4bd3d78d62e8260b78d736ba8b70bb6c47d9d4bbcc431f4a54b8c604e4b520df11a5317a7ab1a70d765e40089b323f985217a943eb96b SHA512 ced64809f1a8d1f60ed045bef69ff6cef84fbcf1b4587c70421112cdc65d6344bb1fceeb55e64e17237a00672bbfff19d4627371b45e1e7659e405d506abf216
+DIST asyncstdlib-3.10.5.gh.tar.gz 54697 BLAKE2B b8a99a83e97084c4e09ddac0402ca23a8d42921b72774c0658aa0b9a1aa0ac1329baae782f105a52a4b6d979d490d97814ea6eac0e7570a7ca27784a27fa5c4d SHA512 3dfa8d1e5e2ef02dbf52fe7094b68496066978cfa9839cad59222ace40e0871369b45d93c1caa87e0f029c328253f6d72d8377625a8ed182498280662fcb7545
diff --git a/dev-python/asyncstdlib/asyncstdlib-3.10.5.ebuild b/dev-python/asyncstdlib/asyncstdlib-3.10.5.ebuild
new file mode 100644
index 000000000000..d769cb3407a4
--- /dev/null
+++ b/dev-python/asyncstdlib/asyncstdlib-3.10.5.ebuild
@@ -0,0 +1,25 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="The missing async toolbox"
+HOMEPAGE="
+ https://github.com/maxfischer2781/asyncstdlib/
+ https://pypi.org/project/asyncstdlib/
+"
+SRC_URI="
+ https://github.com/maxfischer2781/asyncstdlib/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+distutils_enable_tests pytest
diff --git a/dev-python/autobahn/Manifest b/dev-python/autobahn/Manifest
index a1a85babf638..ae02bb72e727 100644
--- a/dev-python/autobahn/Manifest
+++ b/dev-python/autobahn/Manifest
@@ -1,2 +1,3 @@
DIST autobahn-22.3.2.tar.gz 376020 BLAKE2B 5d7b776c24541b08363942ed1868d5e7a2ccb4f99edc1ad722d3d68417852f324e79afa5ec8cc0251499ba27c078087ba40be744d657b562f5f1c431492705b6 SHA512 a33619bb7624f56bf571a4c61d11290316554c5c5a23724c6d5624f1e8e673dfc6a8e12ea3b17f809306a14f45e982b3425a23efb123003b575b248718c9a299
DIST autobahn-22.4.2.tar.gz 396061 BLAKE2B da51f53f138ff6935f55561305c9cb0b29dcfef27fa63f32beac867f8aec2149a681f2dcbea6f30423e5571bf0fbf18fe13604c11d1accf78629c714bcbbc754 SHA512 9d803a699dd370b25e6c1601e635fe60a8e24f33245008bfe271d34ba47e70b7fab8c555a2c68a5255515a51e56476a63bfb0c9d98ed3687b71317ab46efc5ec
+DIST autobahn-22.5.1.tar.gz 435571 BLAKE2B 5e596102b639228d95cea027a0e7187adc4f0910afbd3c5753c0408e070a37b911362eba64c79ce6201000e59381de0941619bef152ca2d784a2c19f1a67a36f SHA512 c27c0f1a782c53df7c152c8043a8e5502f19944e9d5a6ab4a95d02016dfbba70a770f1f4969b75995beed852191bde288d80d1336d56fba1eea190d6590ca642
diff --git a/dev-python/autobahn/autobahn-22.3.2.ebuild b/dev-python/autobahn/autobahn-22.3.2-r1.ebuild
index 2aefe74f769a..22066d8a5f76 100644
--- a/dev-python/autobahn/autobahn-22.3.2.ebuild
+++ b/dev-python/autobahn/autobahn-22.3.2-r1.ebuild
@@ -82,15 +82,16 @@ python_prepare_all() {
}
python_test() {
+ rm -rf autobahn || die
+
einfo "Testing all, cryptosign using twisted"
local -x USE_TWISTED=true
- cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
"${EPYTHON}" -m twisted.trial autobahn || die "Tests failed with ${EPYTHON}"
unset USE_TWISTED
einfo "RE-testing cryptosign and component_aio using asyncio"
local -x USE_ASYNCIO=true
- epytest autobahn/wamp/test/test_wamp_{cryptosign,component_aio}.py
+ epytest --pyargs autobahn.wamp.test.test_wamp_{cryptosign,component_aio}
unset USE_ASYNCIO
rm -f twisted/plugins/dropin.cache || die
diff --git a/dev-python/autobahn/autobahn-22.4.2.ebuild b/dev-python/autobahn/autobahn-22.4.2.ebuild
index b9fe8954569f..e4a6928b74bb 100644
--- a/dev-python/autobahn/autobahn-22.4.2.ebuild
+++ b/dev-python/autobahn/autobahn-22.4.2.ebuild
@@ -83,15 +83,16 @@ python_prepare_all() {
}
python_test() {
+ rm -rf autobahn || die
+
einfo "Testing all, cryptosign using twisted"
local -x USE_TWISTED=true
- cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
"${EPYTHON}" -m twisted.trial autobahn || die "Tests failed with ${EPYTHON}"
unset USE_TWISTED
einfo "RE-testing cryptosign and component_aio using asyncio"
local -x USE_ASYNCIO=true
- epytest autobahn/wamp/test/test_wamp_{cryptosign,component_aio}.py
+ epytest --pyargs autobahn.wamp.test.test_wamp_{cryptosign,component_aio}
unset USE_ASYNCIO
rm -f twisted/plugins/dropin.cache || die
diff --git a/dev-python/autobahn/autobahn-22.5.1-r1.ebuild b/dev-python/autobahn/autobahn-22.5.1-r1.ebuild
new file mode 100644
index 000000000000..a97cc8dd443e
--- /dev/null
+++ b/dev-python/autobahn/autobahn-22.5.1-r1.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 optfeature
+
+MY_P=${PN}-$(ver_rs 3 -)
+
+DESCRIPTION="WebSocket and WAMP for Twisted and Asyncio"
+HOMEPAGE="
+ https://crossbar.io/autobahn/
+ https://github.com/crossbario/autobahn-python/
+ https://pypi.org/project/autobahn/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+IUSE="test xbr"
+RESTRICT="!test? ( test )"
+
+# The order of deps is based on their appearance in setup.py
+# All extra deps should be included in test and in optfeature
+RDEPEND="
+ >=dev-python/zope-interface-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/twisted-20.3.0[${PYTHON_USEDEP}]
+ >=dev-python/attrs-20.3.0[${PYTHON_USEDEP}]
+ >=dev-python/txaio-21.2.1[${PYTHON_USEDEP}]
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ >=dev-python/hyperlink-21.0.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/wsaccel-0.6.3[${PYTHON_USEDEP}]
+ >=dev-python/snappy-0.6.0[${PYTHON_USEDEP}]
+ >=dev-python/msgpack-1.0.2[${PYTHON_USEDEP}]
+ >=dev-python/ujson-4.0.2[${PYTHON_USEDEP}]
+ >=dev-python/cbor2-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/py-ubjson-0.16.1[${PYTHON_USEDEP}]
+ >=dev-python/flatbuffers-1.12[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-20.0.1[${PYTHON_USEDEP}]
+ >=dev-python/service_identity-18.1.0[${PYTHON_USEDEP}]
+ >=dev-python/pynacl-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/pytrie-0.4[${PYTHON_USEDEP}]
+ >=dev-python/cffi-1.14.5[${PYTHON_USEDEP}]
+ >=dev-python/argon2-cffi-20.1.0[${PYTHON_USEDEP}]
+ >=dev-python/passlib-1.7.4[${PYTHON_USEDEP}]
+
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
+ )
+"
+
+python_prepare_all() {
+ if use xbr ; then
+ eerror "***************"
+ eerror "Required xbr dependencies are incomplete in Gentoo."
+ eerror "So this functionality will not yet work"
+ eerror "Please file a bug if this feature is needed"
+ eerror "***************"
+ else
+ # remove xbr components
+ export AUTOBAHN_STRIP_XBR="True"
+ fi
+
+ # avoid useless rust dependency
+ sed -i -e '/cryptography/s:>=3.4.6::' setup.py || die
+
+ # remove twisted plugin cache regen in setup.py
+ # to fix tinderbox sandbox issue
+ sed -e '/import/s:reactor:__importmustfail__:' \
+ -i setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ rm -rf autobahn || die
+
+ einfo "Testing all, cryptosign using twisted"
+ local -x USE_TWISTED=true
+ "${EPYTHON}" -m twisted.trial autobahn || die "Tests failed with ${EPYTHON}"
+ unset USE_TWISTED
+
+ einfo "RE-testing cryptosign and component_aio using asyncio"
+ local -x USE_ASYNCIO=true
+ epytest --pyargs autobahn.wamp.test.test_wamp_{cryptosign,component_aio}
+ unset USE_ASYNCIO
+
+ rm -f twisted/plugins/dropin.cache || die
+}
+
+pkg_postinst() {
+ optfeature "C-based WebSocket acceleration" "dev-python/wsaccel"
+ optfeature "non-standard WebSocket compression support" "dev-python/snappy"
+ optfeature "accelerated WAMP serialization support" \
+ "dev-python/msgpack dev-python/ujson dev-python/cbor2 dev-python/flatbuffers dev-python/py-ubjson"
+ optfeature "TLS transport encryption" \
+ "dev-python/pyopenssl dev-python/pynacl dev-python/pytrie dev-python/qrcode dev-python/service_identity"
+ optfeature "WAMP-SCRAM authentication" \
+ "dev-python/cffi dev-python/argon2-cffi dev-python/passlib"
+ optfeature "native SIMD acceleration" "dev-python/cffi"
+
+ python_foreach_impl twisted-regen-cache
+}
+
+pkg_postrm() {
+ python_foreach_impl twisted-regen-cache
+}
diff --git a/dev-python/automat/automat-20.2.0-r1.ebuild b/dev-python/automat/automat-20.2.0-r1.ebuild
index e53eb62f8921..15c2344cedae 100644
--- a/dev-python/automat/automat-20.2.0-r1.ebuild
+++ b/dev-python/automat/automat-20.2.0-r1.ebuild
@@ -25,6 +25,7 @@ RDEPEND="
"
BDEPEND="
dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ !!dev-python/m2r
"
PATCHES=(
diff --git a/dev-python/awxkit/Manifest b/dev-python/awxkit/Manifest
index cea8cc3cc958..82d648df2e64 100644
--- a/dev-python/awxkit/Manifest
+++ b/dev-python/awxkit/Manifest
@@ -1 +1,2 @@
DIST awxkit-21.0.0.gh.tar.gz 16493147 BLAKE2B 9b89f9f6f2e231efcde0edeb7d39a1b328b9b534a38663a2463f974028ce96aa13677d8e14d4b4a55fd3de252d5e53dbab2d104e018ad60eaca1ddb1b7bf937c SHA512 e100359eb9be184924c9b562473dd23dcfddf270e72f2f0fc1f71f8774dc1d3fbfce6b365f13ecffe20b25b116690fcca504d373663c497e74d2d1185b98f01f
+DIST awxkit-21.1.0.gh.tar.gz 16516204 BLAKE2B 2891244e7dcb0aef7b2053713c4479b94528a69f1225a77c46243cb293ebfa2e86d59939bc906223e598c34a322a726c9b3f5fb9aa7859191385f9c15bae57a0 SHA512 2e2ff1ae5a1893e3ba464ff0ab3c5e98b7d0711c3ba1512b8a8f89e55385ab85df9623b23d6a81b2a800b0b184de1ef82fd23a655173fcbcebb1160e9eef973c
diff --git a/dev-python/awxkit/awxkit-21.1.0.ebuild b/dev-python/awxkit/awxkit-21.1.0.ebuild
new file mode 100644
index 000000000000..38a401e439f7
--- /dev/null
+++ b/dev-python/awxkit/awxkit-21.1.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Command line interface for Ansible AWX"
+HOMEPAGE="https://github.com/ansible/awx"
+SRC_URI="https://github.com/ansible/awx/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/awx-${PV}/awxkit"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/websocket-client[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+ sed -e 's|websocket-client==[[:digit:]\.]*|websocket-client|' \
+ -e "/'clean'/d" \
+ -i setup.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 278962982500..28021ed9b947 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -2,3 +2,4 @@ DIST boto3-1.23.10.gh.tar.gz 504080 BLAKE2B 1840715ec72b10131a430abdb303adf7619f
DIST boto3-1.23.5.tar.gz 501625 BLAKE2B 5a996b4dffd325ea2d6582450b027767ca9845e8096193ef4a8a63ecd61999c67a83cc3b5bc4e77d1f50035188f97003942f1b64293adb36a9cd6e71781b2279 SHA512 5496de026313e9a767f3ba42fe903093ce69777627835a00d75dac4aa966c803a46682b4d766002af793c7e8c95be141cd0d0bbbf27961bd020ac18ef64f5175
DIST boto3-1.24.0.gh.tar.gz 504647 BLAKE2B 85ff8d83abc9c116de2b54bdfe61239494723bf5214ed6edad380fc15a0a8bde5167125aa2289425395d18c4c459ea7eef1ca9af706b6414302dd23543ff43ab SHA512 6c494557521b0cf2e4d172e4e631c9e10c5d2a1047a592d4fc99566d5bad2c5028b74b8a4bfb090fd289558d2e007d3d038da27d416cdf123e19be96af11f4a3
DIST boto3-1.24.1.gh.tar.gz 505225 BLAKE2B 4a56053f71b7acccfdeaaa6cd43d94d661c6d2b9e706dfd63d1caac032569797e76ad2564c2dc00e551a0161851eee4f23a91288b64edd593c690fe1b62383a4 SHA512 ba03a9e25920e785eec35b40c166acb45a31ccdb5a235e8a4f18f18365f404b4015ce34f2504f5ebcf52d525e783580361d13831276e23c29516272154e29742
+DIST boto3-1.24.2.gh.tar.gz 505904 BLAKE2B e5fe9aa089caaa91aa41554a07ba97da55b04f5cc77be58df10ad4b6b9d3ab8ce22f988f658cb653d9f3890a307ea895c1cd57c30b6729ba12a1ee61f475ba1d SHA512 23b550194805859e37b8f3a7b75390bba500e7043e32930ab1ac46d2fca672472def9f4821e0deadaba6e6010afa05e4385a0f6fe229798250746b079fa27810
diff --git a/dev-python/boto3/boto3-1.24.2.ebuild b/dev-python/boto3/boto3-1.24.2.ebuild
new file mode 100644
index 000000000000..e4a98e2e28f5
--- /dev/null
+++ b/dev-python/boto3/boto3-1.24.2.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 52270a652260..4dea49fd32f3 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -2,3 +2,4 @@ DIST botocore-1.26.10.tar.gz 9008316 BLAKE2B a05078ec5732015cbd8ea4da2d2d82e28f4
DIST botocore-1.26.5.tar.gz 8994964 BLAKE2B 472bc20b1a579674b97fa42f5b7bba2f06f1bcc40b11d5d5fa31b283a1d8648be82db4ee7e7170097d2e695bad2d1f9e398dfa7e4b85381134f151010f212be2 SHA512 a696c241989f6754596f69577c4e4f5d92df87e9b6488533e930b28b85e02fae8af1ac73d907790a75496a46824b45beb7df220c72be3bfc0bee8153b4846939
DIST botocore-1.27.0.tar.gz 9013575 BLAKE2B e00cf7d071bc510a96e32bbc41bb0b3a151974c0c10ada01fc8222d261e680b938f248ffddd5985c8ff92bb3a4a8021a6e3867870d5411cd9ba8544b12f41dfc SHA512 386128c57a584cd6b8d51ff46817678e18292cef3f22194c64abfa007418b9ef906e85d0c0f731e0e8efc8e6a01aa71ba9230c94f86c6d0c248d385a1f79e5d9
DIST botocore-1.27.1.tar.gz 9020507 BLAKE2B 5339a41c163f222c93fdd4232a47d98a74470ad7646e35c747517433b63c2c46c7c2d71778993d85bb4a1d5accff7d60546fb8a9cb7d60b532a8ed3dc54c8200 SHA512 685cebea8633ae996a8aa9410bdb76fd814b9bed3168aa8015ee1046f165203cf496d01b058ff5a07cbde2a9ff9aff225a6167f37e3f104feb59d6c495e15759
+DIST botocore-1.27.2.tar.gz 9026413 BLAKE2B 013724df76fb87c8e7731401d09774bec303aced7c3a01bb97935865f34193d1f313d49f32c1f6b7addab9b24384f26caca44b03ba0e77014821dc7cab5142ef SHA512 85045c13fa935b017f66edc132d2a31da2ecbe0c7bfcab369cb1d5f76d8a1401d303ab7d3e2ce95d53e9a59ea81dbf5380c1106169d84f40b21cbb926e35abb9
diff --git a/dev-python/botocore/botocore-1.27.2.ebuild b/dev-python/botocore/botocore-1.27.2.ebuild
new file mode 100644
index 000000000000..97701266bf61
--- /dev/null
+++ b/dev-python/botocore/botocore-1.27.2.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/botocore-1.26.0-py311.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/bottle/Manifest b/dev-python/bottle/Manifest
index a9ff0bfdc61a..ab37c16b4288 100644
--- a/dev-python/bottle/Manifest
+++ b/dev-python/bottle/Manifest
@@ -1,3 +1 @@
-DIST bottle-0.12.19.tar.gz 73142 BLAKE2B e59d7a507d3401869ba4953a48274062fc56226afa2f7aad596b4ef4352e4a79cea2d224dfe32d7ce014e4f4a3ba088d0e7a0886f64a84bb6b78571e953fa3c3 SHA512 e5d2f6a32d1b89ae3cc9607456c0614db2b58882c6d36273d695c51d3d77b1858cac4d914dbf19bca3b74be68c197aa6473f162e40d9b7ae2af3a084a28c2637
-DIST bottle-0.12.20.tar.gz 74235 BLAKE2B 8d6c03ac9a0330fa13e474fcb6bb985d663d3c4c1c2cd6ca24a1224efd3072d4897efafc095af13f8231b99d705ae252fbed29ebe8e18dc5c9db7318a9c749c7 SHA512 149355d39ac1370a3b6c1999756ac2c7eb98ef04cf99df7099a6c84112e1ff06a0cac4612843750499633a136ea2ddfb1a5d594ba03d7ee63cf7cae9aceba823
DIST bottle-0.12.21.tar.gz 74229 BLAKE2B 88674389d2c087a7416443d031995ee923a98b790eb85d81b625f11b2fb0baee35d90a3ee2dba5b9d4744a343a34396a50edef0f85a2d6f4f0f4da95bae31b5b SHA512 3d621f6684f439a4a5718ad25e8b45eb0d1100cd565ec5b797adf67141e01d835cde671e687f5515cb6eab69bb465e9c7d004131634609266c2e1b69b0adbf43
diff --git a/dev-python/bottle/bottle-0.12.19-r1.ebuild b/dev-python/bottle/bottle-0.12.19-r1.ebuild
deleted file mode 100644
index 499f17eda4f6..000000000000
--- a/dev-python/bottle/bottle-0.12.19-r1.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1 optfeature
-
-DESCRIPTION="A fast and simple micro-framework for small web-applications"
-HOMEPAGE="
- https://bottlepy.org/
- https://github.com/bottlepy/bottle/
- https://pypi.org/project/bottle/
-"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-BDEPEND="
- test? (
- dev-python/mako[${PYTHON_USEDEP}]
- )
-"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-0.12.8-py3.5-backport.patch
- "${FILESDIR}"/${P}-py311.patch
-)
-
-python_prepare_all() {
- sed -i -e '/scripts/d' setup.py || die
-
- # Remove test file requring connection to network
- rm test/test_server.py || die
- distutils-r1_python_prepare_all
-}
-
-python_test() {
- "${EPYTHON}" test/testall.py || die "tests failed under ${EPYTHON}"
-}
-
-pkg_postinst() {
- optfeature "Templating support" dev-python/mako
- elog "Due to problems with bottle.py being in /usr/bin (see bug #474874)"
- elog "we do as most other distros and do not install the script anymore."
- elog "If you do want/have to call it directly rather than through your app,"
- elog "please use the following instead:"
- elog ' `python -m bottle`'
-}
diff --git a/dev-python/bottle/bottle-0.12.19.ebuild b/dev-python/bottle/bottle-0.12.19.ebuild
deleted file mode 100644
index 1ba7a9acb2dc..000000000000
--- a/dev-python/bottle/bottle-0.12.19.ebuild
+++ /dev/null
@@ -1,47 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1 optfeature
-
-DESCRIPTION="A fast and simple micro-framework for small web-applications"
-HOMEPAGE="https://pypi.org/project/bottle/ https://bottlepy.org/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-BDEPEND="test? ( dev-python/mako[${PYTHON_USEDEP}] )"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-0.12.8-py3.5-backport.patch
-)
-
-python_prepare_all() {
- sed -i -e '/scripts/d' setup.py || die
-
- # Remove test file requring connection to network
- rm test/test_server.py || die
- distutils-r1_python_prepare_all
-}
-
-python_test() {
- # A few odd fails in the suite under pypy
- # https://github.com/bottlepy/bottle/issues/714
- "${EPYTHON}" test/testall.py || die "tests failed under ${EPYTHON}"
-}
-
-pkg_postinst() {
- optfeature "Templating support" dev-python/mako
- elog "Due to problems with bottle.py being in /usr/bin (see bug #474874)"
- elog "we do as most other distros and do not install the script anymore."
- elog "If you do want/have to call it directly rather than through your app,"
- elog "please use the following instead:"
- elog ' `python -m bottle`'
-}
diff --git a/dev-python/bottle/bottle-0.12.20.ebuild b/dev-python/bottle/bottle-0.12.20.ebuild
deleted file mode 100644
index 797057dc32a0..000000000000
--- a/dev-python/bottle/bottle-0.12.20.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1 optfeature
-
-DESCRIPTION="A fast and simple micro-framework for small web-applications"
-HOMEPAGE="
- https://bottlepy.org/
- https://github.com/bottlepy/bottle/
- https://pypi.org/project/bottle/
-"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-BDEPEND="
- test? (
- dev-python/mako[${PYTHON_USEDEP}]
- )
-"
-
-PATCHES=(
- "${FILESDIR}"/bottle-0.12.8-py3.5-backport.patch
- "${FILESDIR}"/bottle-0.12.19-py311.patch
-)
-
-python_prepare_all() {
- sed -i -e '/scripts/d' setup.py || die
-
- # Remove test file requring connection to network
- rm test/test_server.py || die
- distutils-r1_python_prepare_all
-}
-
-python_test() {
- "${EPYTHON}" test/testall.py || die "tests failed under ${EPYTHON}"
-}
-
-pkg_postinst() {
- optfeature "Templating support" dev-python/mako
- elog "Due to problems with bottle.py being in /usr/bin (see bug #474874)"
- elog "we do as most other distros and do not install the script anymore."
- elog "If you do want/have to call it directly rather than through your app,"
- elog "please use the following instead:"
- elog ' `python -m bottle`'
-}
diff --git a/dev-python/bottle/bottle-0.12.21.ebuild b/dev-python/bottle/bottle-0.12.21.ebuild
index 797057dc32a0..929002b31639 100644
--- a/dev-python/bottle/bottle-0.12.21.ebuild
+++ b/dev-python/bottle/bottle-0.12.21.ebuild
@@ -18,7 +18,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/confluent-kafka/confluent-kafka-1.8.2-r1.ebuild b/dev-python/confluent-kafka/confluent-kafka-1.8.2-r1.ebuild
index e78c6d946328..e8aeb77448d9 100644
--- a/dev-python/confluent-kafka/confluent-kafka-1.8.2-r1.ebuild
+++ b/dev-python/confluent-kafka/confluent-kafka-1.8.2-r1.ebuild
@@ -3,6 +3,7 @@
EAPI=8
+EPYTEST_IGNORE=( tests/integration )
MYPN="${PN}-python"
PYTHON_COMPAT=( python3_{7,8,9,10} )
diff --git a/dev-python/coverage/Manifest b/dev-python/coverage/Manifest
index 9c9afc730d18..ec5b6d7c18e5 100644
--- a/dev-python/coverage/Manifest
+++ b/dev-python/coverage/Manifest
@@ -1,3 +1,4 @@
DIST coverage-6.3.2.tar.gz 709294 BLAKE2B 2da96731ee0065fb6139af7db073284a83efa135e7379d2a6d6e571cdf58c888cf72719fbddadb1bd8f62b0b155b8420a84377068c40e4c813533b3ad6b190a8 SHA512 d9ea3a93eefe2dbb723ed1eadb09dc1165c4f46e7186889ce3615411283baac1d80f04a3831208a164f99accea5d246d4613a7c2e909d2e63d3c714620432a16
DIST coverage-6.3.3.tar.gz 710958 BLAKE2B 8bc1e9504e8f59bc2afea40c63958e463d2f6bfc5fa09c890c1c1f8e2ab502e6ad657edda5616f6a866f460b9f73cdda5ab081f8de281d23314f205d61c7621b SHA512 4b3f42602c50bf00a627ff40f3a04b1e8e457ad57759fb93dddb55eedd5ffe775fa81983f5f53502576b89c793c69a52a269148e7b028d5c87f0d4bf3a4d11b1
+DIST coverage-6.4.1.tar.gz 719971 BLAKE2B 047c57ffae092a9e04470a64d090ee7c3274c5ab60dd69d67c8151e85954b5cf2c34748f2e2641ac8229ed66a238e994d93b17f7ac4c92bce3eb919a5b7f1795 SHA512 d7b40bae4fee36c71befb490ee3341b023c0bff38ed2c97cf57a65e47be44b71685b130879640b1c8560359dbc31b0da523f5c363f3544ff666b804c7af122f0
DIST coverage-6.4.tar.gz 715897 BLAKE2B 69fd1979da2c652d5cf8b83adcde4755824faf832867c0181e610ef1369bae217c487b230aa649f03692440efc78628474d72303635568f8e7e5b41f83afc1ed SHA512 e834ff2329eb930ea40a28e8be7f665322558a1f00b5297a2daaaefc986ae451f333ea76bf6e345cad1560d721ebd990cdd5b79b30bddd9e17223acc85508089
diff --git a/dev-python/coverage/coverage-6.4.1.ebuild b/dev-python/coverage/coverage-6.4.1.ebuild
new file mode 100644
index 000000000000..ea3f387d318b
--- /dev/null
+++ b/dev-python/coverage/coverage-6.4.1.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Code coverage measurement for Python"
+HOMEPAGE="
+ https://coverage.readthedocs.io/en/latest/
+ https://github.com/nedbat/coveragepy/
+ https://pypi.org/project/coverage/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+BDEPEND="
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/unittest-mixins-1.4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/^addopts/s:-q -n auto::' setup.cfg || die
+ distutils-r1_src_prepare
+}
+
+test_tracer() {
+ local -x COVERAGE_TEST_TRACER=${1}
+ einfo " Testing with the ${COVERAGE_TEST_TRACER} tracer ..."
+ epytest tests
+}
+
+python_test() {
+ "${EPYTHON}" igor.py zip_mods || die
+
+ local -x COVERAGE_TESTING=True
+ # TODO: figure out why they can't be imported inside test env
+ local -x COVERAGE_NO_CONTRACTS=1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=_hypothesis_pytestplugin,flaky.flaky_pytest_plugin,xdist.plugin
+
+ local prev_opt=$(shopt -p nullglob)
+ shopt -s nullglob
+ local c_ext=( "${BUILD_DIR}/install$(python_get_sitedir)"/coverage/*.so )
+ ${prev_opt}
+
+ if [[ -n ${c_ext} ]]; then
+ cp "${c_ext}" \
+ coverage/ || die
+ test_tracer c
+ rm coverage/*.so || die
+ else
+ test_tracer py
+ fi
+}
diff --git a/dev-python/cssutils/Manifest b/dev-python/cssutils/Manifest
index b6d1a8cde68e..6f60b69f666a 100644
--- a/dev-python/cssutils/Manifest
+++ b/dev-python/cssutils/Manifest
@@ -1 +1,2 @@
DIST cssutils-2.4.0.tar.gz 725986 BLAKE2B 2f8d0166288e3af1f838fec3443293b4166bab6e2e115e198f3e6f7a0ec0949262de77eaeebe7437b3cf27567780f988884ce1225b94c379cabddcae0fe10543 SHA512 53e18f9d06905dbda5382a3ed6ef1808571e8a32204864364b0a344e641c774f0998bf23ad0997b34ddbe9f04d3d2c7d622249cfeb0a9e846f7fb1530ae9b12b
+DIST cssutils-2.4.1.tar.gz 726348 BLAKE2B a6049a6326c9ffaf399b163a1819bff58445ab798a9c6b697abcadf29fcd00ef4812b516ad7b8c4bfdfd0df804a3ed9a1bbde192783600939b485de1d0b2da38 SHA512 f1107a761f20204c214a09647dde3d2e1900ccbe71ecca332049441f3c8916714efaece2b702167326fde016bd1817a76a4fffa6cd4fda9f91359d0a055fe7a3
diff --git a/dev-python/cssutils/cssutils-2.4.1.ebuild b/dev-python/cssutils/cssutils-2.4.1.ebuild
new file mode 100644
index 000000000000..8673bf059f39
--- /dev/null
+++ b/dev-python/cssutils/cssutils-2.4.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A CSS Cascading Style Sheets library"
+HOMEPAGE="
+ https://pypi.org/project/cssutils/
+ https://github.com/jaraco/cssutils/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
+
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/cssselect[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_resources[${PYTHON_USEDEP}]
+ ' 3.8)
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # network
+ encutils/__init__.py::encutils
+ cssutils/tests/test_parse.py::CSSParserTestCase::test_parseUrl
+ examples/website.py::website.logging
+)
diff --git a/dev-python/digitalocean/Manifest b/dev-python/digitalocean/Manifest
index 73f13fe21513..717b207918b7 100644
--- a/dev-python/digitalocean/Manifest
+++ b/dev-python/digitalocean/Manifest
@@ -1,2 +1,2 @@
DIST digitalocean-1.16.0.tar.gz 59077 BLAKE2B b44c045716967a192b4e79d562bd7af8af2ed3a0d6ea54490f2e15195c84476f25a661c80b5f1beda54e724a4177083a5d04682ca96855637cf626cd3397df17 SHA512 110614aeb33e2dab0564b4569058233916626d50da14d42f9702c9275f13442dccb7b77829b2dc8e97e8bbbd53d094116cebe9b3aedad920d2b0c156a5680bf7
-DIST digitalocean-1.17.0.tar.gz 60261 BLAKE2B 1a3b8ffe955fdea616420d67e9cd1b07d81d3395d673770333b150a8044f6f93d16ab6ec93d0d5efb7579a2bd7fde57c394bc3fc3e58ad02db230f5bd48006bb SHA512 3b5f5adb5fac9693450954e568433cecb43152d4cb2b5709126dc7c69c6b84f19428dcd3688718588a986d3ea9170a956387f3050cd10a69ba89d5dcdf8e100c
+DIST digitalocean-1.17.0.gh.tar.gz 60261 BLAKE2B 1a3b8ffe955fdea616420d67e9cd1b07d81d3395d673770333b150a8044f6f93d16ab6ec93d0d5efb7579a2bd7fde57c394bc3fc3e58ad02db230f5bd48006bb SHA512 3b5f5adb5fac9693450954e568433cecb43152d4cb2b5709126dc7c69c6b84f19428dcd3688718588a986d3ea9170a956387f3050cd10a69ba89d5dcdf8e100c
diff --git a/dev-python/digitalocean/digitalocean-1.17.0.ebuild b/dev-python/digitalocean/digitalocean-1.17.0.ebuild
index cb38df2e6790..dde711c8bb67 100644
--- a/dev-python/digitalocean/digitalocean-1.17.0.ebuild
+++ b/dev-python/digitalocean/digitalocean-1.17.0.ebuild
@@ -8,7 +8,7 @@ inherit distutils-r1
DESCRIPTION="Digitalocean API access library"
HOMEPAGE="https://github.com/koalalorenzo/python-digitalocean"
-SRC_URI="https://github.com/koalalorenzo/python-${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI="https://github.com/koalalorenzo/python-${PN}/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
S="${WORKDIR}/python-${P}"
LICENSE="LGPL-3"
@@ -19,6 +19,7 @@ RDEPEND="
dev-python/requests[${PYTHON_USEDEP}]
dev-python/jsonpickle[${PYTHON_USEDEP}]
"
+BDEPEND="test? ( dev-python/responses[${PYTHON_USEDEP}] )"
distutils_enable_sphinx docs dev-python/alabaster
diff --git a/dev-python/lxml/Manifest b/dev-python/lxml/Manifest
index fd65bdf74d3c..074412d4bb7e 100644
--- a/dev-python/lxml/Manifest
+++ b/dev-python/lxml/Manifest
@@ -1,2 +1,2 @@
DIST lxml-4.8.0.tar.gz 959376 BLAKE2B a40be5e058153e1dc3f8501b645b0211f4498928ed71b161df54a67501356e9968064401b6d17e17dc8d62223b29e794eaa2bee7ff78ffee203d9f9a22f3e1c2 SHA512 bbcd8ea001cfa2820dcac4e00de6ded81700b2f0bd4a58bcdd4da05a19a107f57cd56280c4838fe19ee7ecd6be105878bf8c2f1c0e5111899c4ad1a2ba03537f
-DIST lxml-4.9.0.gh.tar.gz 960503 BLAKE2B 5b4c6c3c7c5f14167fa209700207a4d0bc7fbe67214060258e0474c11885f1bb0a6b57cc02d0df40f035670d14552ebc66acda3c184e77840377cb3f47187b18 SHA512 e85036a96a78da092d7d77dfb482ca00094811d085076bd2a1fe6f5cb31ac9ba8273a1193b5de8af7b4551b4deb41add83db450de8186c0567fcb4522a8da803
+DIST lxml-4.9.0.gh.tar.gz 960537 BLAKE2B c1ffa82f74ae1876c39d94fe248ab0278d30b805081fef92b9cc9ccf28dc10d239a3ee1861a5603deda1f1ae2c4eb288a66019281010459f6320b1000bea1955 SHA512 fb88b2e9d92972de69c1f8b54529ea00364b8b72475a2a88c9c509e4fb8cfbf0ced1bc093f96ae60c1d275ee9a8e5a5d2f51472ecce3d706a1cb1299789f9495
diff --git a/dev-python/matterhook/matterhook-0.2-r2.ebuild b/dev-python/matterhook/matterhook-0.2-r2.ebuild
new file mode 100644
index 000000000000..b2f539fd8441
--- /dev/null
+++ b/dev-python/matterhook/matterhook-0.2-r2.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Interact with Mattermost incoming webhooks easily"
+HOMEPAGE="https://github.com/numberly/matterhook"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/requests[${PYTHON_USEDEP}]"
diff --git a/dev-python/plotly/Manifest b/dev-python/plotly/Manifest
index 6b7240b0df5e..cdbf1b6f15c2 100644
--- a/dev-python/plotly/Manifest
+++ b/dev-python/plotly/Manifest
@@ -1,2 +1,3 @@
DIST plotly-5.2.2.tar.gz 7293292 BLAKE2B baef3accf8f5a3085908fcea558f8003687e18a1f97471c620c378c10d23d4222ef87dc47d64f45199b594414890db5b8ca5e3d7867c871d926c2ae441128c4a SHA512 4d6d79f7cc2063e73e7c17ff90a7d13324497ea8034d8ce62d79ec62b0530a59b2eaec8913fb05efb804cf5be8387b6f96d1710f41b9993233b5a13cf64dd310
DIST plotly-5.7.0.tar.gz 8609793 BLAKE2B 12318f837c248c54fd3a8723bc772e8348186942565ba5a4c095f348dc338cc098318889900500ec333d7ec352801926ec91d312f2ccd98a89f804159223057f SHA512 01675470ef5218f06b4e9e485f23155a8e8550748fdf86afdb2a2969f838464b70d4452811427ab6bed2846093e8cfba7e891f7d0ea3a621e1fbffe22182d933
+DIST plotly-5.8.0.tar.gz 7573157 BLAKE2B 522d0d22d29d5ee204a9ecccbfe7862acee8b8605ab3dfce46a7b771020c24aff39b74aa3244c8384d61bb7e61ca5d2a610d061b0c208bf6cf9fe91543bbfc3f SHA512 2c17c97e897959a9826c19495c30cc7dd21de80e777c13927c1f47c3aa08f64f53ad715d156e78aabaf99fa2a8f85c90d63b08a227c5301710b5c561ee89429c
diff --git a/dev-python/plotly/files/plotly-5.8.0-fix-versioneer-import.patch b/dev-python/plotly/files/plotly-5.8.0-fix-versioneer-import.patch
new file mode 100644
index 000000000000..37582b05429d
--- /dev/null
+++ b/dev-python/plotly/files/plotly-5.8.0-fix-versioneer-import.patch
@@ -0,0 +1,15 @@
+https://bugs.gentoo.org/841002
+https://github.com/plotly/plotly.py/pull/3757
+https://github.com/dandi/dandi-cli/pull/998
+https://github.com/mgorny/gpep517/issues/1
+--- a/setup.py
++++ b/setup.py
+@@ -11,7 +11,7 @@ from distutils import log
+ # ensure the current directory is on sys.path; so versioneer can be imported
+ # when pip uses PEP 517/518 build rules.
+ # https://github.com/python-versioneer/python-versioneer/issues/193
+-sys.path.append(os.path.dirname(__file__))
++sys.path.insert(0, os.path.dirname(__file__))
+
+ import versioneer
+
diff --git a/dev-python/plotly/plotly-5.8.0.ebuild b/dev-python/plotly/plotly-5.8.0.ebuild
new file mode 100644
index 000000000000..b2fde6cd5e47
--- /dev/null
+++ b/dev-python/plotly/plotly-5.8.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="Browser-based graphing library for Python"
+HOMEPAGE="https://plotly.com/python/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# TODO: package plotly-orca and kaleido
+RESTRICT="test"
+
+RDEPEND="
+ >=dev-python/tenacity-6.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/backports-tempfile[${PYTHON_USEDEP}]
+ ' 3.8)
+ dev-python/inflect[${PYTHON_USEDEP}]
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/jupyter[${PYTHON_USEDEP}]
+ dev-python/jupyterlab[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/statsmodels[${PYTHON_USEDEP}]
+ dev-python/xarray[${PYTHON_USEDEP}]
+ sci-libs/pyshp[${PYTHON_USEDEP}]
+ sci-libs/scikit-image[${PYTHON_USEDEP}]
+ sci-libs/shapely[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-5.8.0-fix-versioneer-import.patch
+)
+
+distutils_enable_tests pytest
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ mkdir -p "${ED}"/etc/ || die
+ mv "${ED}"/usr/etc/jupyter "${ED}"/etc/ || die
+ rmdir "${ED}"/usr/etc || die
+}
diff --git a/dev-python/pytest-shell-utilities/Manifest b/dev-python/pytest-shell-utilities/Manifest
index 5796acb83aef..84f887ad4850 100644
--- a/dev-python/pytest-shell-utilities/Manifest
+++ b/dev-python/pytest-shell-utilities/Manifest
@@ -4,3 +4,4 @@ DIST pytest-shell-utilities-1.2.0.tar.gz 89881 BLAKE2B 8332f4f6b9b232cc8d17e94ee
DIST pytest-shell-utilities-1.2.1.tar.gz 89975 BLAKE2B 91d0731a2613beef6de98bf7eb61e773659a7047f44558e2ad5cb7c8071761d13f606d04ffb0ac3c6f926f539455cb2a0c2418e398d43d208a028c68bd268576 SHA512 73232844b482f973ad79f2578b434339f34c24cbb36f75ae66217fcd9d06a663d54a6bfcdf390d86d21e6d3b7386fd2f4ce9d6a4b1ce55592be62dbc89f2251f
DIST pytest-shell-utilities-1.3.0.tar.gz 91500 BLAKE2B 88757447378afb334190c6f13406f6a57085bc574728be8965f22b9b17fd92985c044aa9491980d163631eceec634911ea9c67ff85bb9a91ee998e2dab245878 SHA512 1136f4e33c1efb995f7145066af8c71952999975e95c2311ba86ad44c9b18f6f6f5c09acb8211f30cde0f479b3afe92555c125a8f27631f9dd289e4a05bbe761
DIST pytest-shell-utilities-1.4.0.gh.tar.gz 91577 BLAKE2B 33973d3c465918eb71f76497e9c96d3f3f03acfa83e7a116cdef46c67fcf1ba9d1e4b14f50c56c5a20c1bd85e16101f9a98ef93d19099cd97077b336a0aa4954 SHA512 75d8a25d6d607db9697900f36f326d1b86b948da6c83c7840c52a63964ed8cfcf1c54d343f607bcb2b5db3b471e7b59e3aea21d6f4943339f1f2e0388f22b29b
+DIST pytest-shell-utilities-1.5.0.gh.tar.gz 92287 BLAKE2B 015f78838eaff93438cbd7cd395926ac8f61653f6d27275ca87b379e5f27d60165157880e41e603823c17e639dcff91ac4f5fda1e904ad505bb9db0a577b800c SHA512 00cb5fa6979e09c90ba82928a135f644dd4056fd004f6bee8d216ca63e2cf4549f944930bf16e7a124f26a79c1b696d18ecf210bee3273343b9a90f9126f340e
diff --git a/dev-python/pytest-shell-utilities/pytest-shell-utilities-1.5.0.ebuild b/dev-python/pytest-shell-utilities/pytest-shell-utilities-1.5.0.ebuild
new file mode 100644
index 000000000000..d056422762ac
--- /dev/null
+++ b/dev-python/pytest-shell-utilities/pytest-shell-utilities-1.5.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="pytest plugin: fixtures and code to help with running shell commands on tests"
+HOMEPAGE="
+ https://pypi.org/project/pytest-shell-utilities/
+ https://github.com/saltstack/pytest-shell-utilities/
+"
+SRC_URI="
+ https://github.com/saltstack/pytest-shell-utilities/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/pytest-6.0.0[${PYTHON_USEDEP}]
+ dev-python/attrs[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ dev-python/pytest-helpers-namespace[${PYTHON_USEDEP}]
+ dev-python/pytest-skip-markers[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-subtests[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/regex/Manifest b/dev-python/regex/Manifest
index 3b66fac67416..7c8fe98d2e5d 100644
--- a/dev-python/regex/Manifest
+++ b/dev-python/regex/Manifest
@@ -1 +1,2 @@
DIST regex-2022.4.24.tar.gz 383365 BLAKE2B 743a27afa1d504e9653b56d868b076479a476108213137ae7157772d29824204eeb781f5d939debfa8da122e22acbfbea6d8c356b14ad9c1eafca2be5970fdd2 SHA512 2b9e83c7164986eceed5ae0e33aca9075afa022398684bb688064394cfa43f06b0ce72c15fb7ceee55b7793072c7b1d7709513faedce4719f0c406164e9e0593
+DIST regex-2022.6.2.tar.gz 383342 BLAKE2B 48587a91366203301c517dc9cfe4f09e70905924484b906481bc89cf376854d406871312e154ac8b5833feeb50848636a95fdf99511df4feda4f16794a70856b SHA512 ce69a058aa05c471ce8728d29d5a498e387e5661d754d13bee51558a85f5e9e059a1464cc1b7721294cab421bae7219da7fd067e331e6cd6fd3dc464fdf0ecc1
diff --git a/dev-python/regex/regex-2022.6.2.ebuild b/dev-python/regex/regex-2022.6.2.ebuild
new file mode 100644
index 000000000000..d2f1386cd89a
--- /dev/null
+++ b/dev-python/regex/regex-2022.6.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Alternative regular expression module to replace re"
+HOMEPAGE="
+ https://bitbucket.org/mrabarnett/mrab-regex/
+ https://pypi.org/project/regex/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="doc"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-2021.4.4-pypy3-fix-test_empty_array.patch"
+ "${FILESDIR}/${PN}-2021.4.4-pypy3-fix-test_issue_18468.patch"
+)
+
+distutils_enable_tests unittest
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/Features.html )
+ local DOCS=( README.rst docs/*.rst )
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/sphinx/Manifest b/dev-python/sphinx/Manifest
index 8531236d67c4..eba82d499de6 100644
--- a/dev-python/sphinx/Manifest
+++ b/dev-python/sphinx/Manifest
@@ -1,2 +1,3 @@
DIST Sphinx-4.5.0.tar.gz 6698212 BLAKE2B e6c46d35492c3d3068c4f97e497d33973ca86b40934578804fcec901fa89d2c52b45a7546b835b873846dd16936c1bd34a7b053aec8206c688d974671155fd56 SHA512 b44d2a81ed67adaefe16a07ae0cf053b5e6c775023aaa6c57d7b3950f171deac410e8004f787b151c3c2fc350650aa69a4dc2dc7239d1fd3d351e5194617cb2c
DIST Sphinx-5.0.0.tar.gz 6726986 BLAKE2B 95f2b85c7de6d900922730c3e431259e2333b3fe27e25cbe35e9584ccf1ac3442ca0949018e64ca8481e60f2298b46f6a77523a7a67e6aafe7492b62ff97aa70 SHA512 6b58427aa8a4d9e159f5b84366ab2193df5a9e940c9cb11b440dabd2c32dcdbadbb7eddbd9f6f8c53e577bf7bfb7c11f979835b5df75139b5c5315f88794871f
+DIST Sphinx-5.0.1.tar.gz 6728011 BLAKE2B fe75d6bae6c035ee8ce24e3edb8ed8df9973835bdc935170775a7e80e1420bb0dee31976343dd0c3791508cc944f7b9ea44793569a94dc03756ab02d313e26d6 SHA512 6a850860fd7a320c49f2d406c511d1e7e2fc0e044911f98be3a07b1d519e79d57cd2d16c0042926255323625f186a26509772b425611fea85dfbeaae7e8e06c1
diff --git a/dev-python/sphinx/sphinx-5.0.1.ebuild b/dev-python/sphinx/sphinx-5.0.1.ebuild
new file mode 100644
index 000000000000..b4720273023b
--- /dev/null
+++ b/dev-python/sphinx/sphinx-5.0.1.ebuild
@@ -0,0 +1,122 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+MY_P=${P^}
+DESCRIPTION="Python documentation generator"
+HOMEPAGE="
+ https://www.sphinx-doc.org/
+ https://github.com/sphinx-doc/sphinx/
+ https://pypi.org/project/Sphinx/
+"
+SRC_URI="mirror://pypi/${MY_P::1}/${PN^}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="doc latex"
+
+RDEPEND="
+ <dev-python/alabaster-0.8[${PYTHON_USEDEP}]
+ >=dev-python/Babel-1.3[${PYTHON_USEDEP}]
+ <dev-python/docutils-0.19[${PYTHON_USEDEP}]
+ dev-python/imagesize[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.3[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/snowballstemmer-1.1[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-applehelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-devhelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-jsmath[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-htmlhelp-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-serializinghtml-1.1.5[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-qthelp[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_metadata-4.4[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+ latex? (
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ app-text/dvipng
+ )
+ !dev-python/namespace-sphinxcontrib
+"
+BDEPEND="
+ doc? (
+ dev-python/sphinxcontrib-websupport[${PYTHON_USEDEP}]
+ media-gfx/graphviz
+ )
+ test? (
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ virtual/imagemagick-tools[jpeg,png,svg]
+ dev-texlive/texlive-fontsextra
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ app-text/dvipng
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/sphinx-3.2.1-doc-link.patch"
+ "${FILESDIR}/sphinx-4.3.2-doc-link.patch"
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # disable internet access
+ sed -i -e 's:^intersphinx_mapping:disabled_&:' \
+ doc/conf.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ if use doc; then
+ esetup.py build_sphinx
+ HTML_DOCS=( "${BUILD_DIR}"/sphinx/html/. )
+ fi
+}
+
+python_test() {
+ mkdir -p "${BUILD_DIR}/sphinx_tempdir" || die
+ local -x SPHINX_TEST_TEMPDIR="${BUILD_DIR}/sphinx_tempdir"
+
+ local EPYTEST_DESELECT=(
+ # these tests require Internet access
+ tests/test_build_latex.py::test_latex_images
+ tests/test_build_linkcheck.py::test_defaults
+ tests/test_build_linkcheck.py::test_defaults_json
+ tests/test_build_linkcheck.py::test_anchors_ignored
+ # TODO
+ tests/test_ext_autodoc_autoclass.py::test_classes
+ tests/test_ext_autodoc_autofunction.py::test_classes
+ )
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ tests/test_ext_autodoc.py::test_autodoc_inherited_members_None
+ tests/test_ext_autodoc.py::test_automethod_for_builtin
+ tests/test_ext_autodoc.py::test_cython
+ tests/test_ext_autodoc.py::test_partialfunction
+ tests/test_ext_autodoc_autoclass.py::test_autodoc_process_bases
+ tests/test_ext_autodoc_autoclass.py::test_show_inheritance_for_decendants_of_generic_type
+ tests/test_ext_autodoc_autoclass.py::test_show_inheritance_for_subclass_of_generic_type
+ tests/test_ext_autodoc_autofunction.py::test_builtin_function
+ tests/test_ext_autodoc_autofunction.py::test_methoddescriptor
+ tests/test_ext_autodoc_automodule.py::test_automodule_inherited_members
+ tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module
+ tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module_skipped
+ tests/test_util_inspect.py::test_isattributedescriptor
+ tests/test_util_typing.py::test_stringify_type_hints_pep_585
+ )
+
+ epytest
+}
diff --git a/dev-python/tempest/Manifest b/dev-python/tempest/Manifest
index 449bf703f247..af735d4eee9b 100644
--- a/dev-python/tempest/Manifest
+++ b/dev-python/tempest/Manifest
@@ -1 +1,2 @@
DIST tempest-30.1.0.tar.gz 1112219 BLAKE2B 864dbd01a843b9c480656788a3a673ea6c089af8bf67e66837fdb77ee46eef00f2caed3ee08722b113db45d1e39fee167dcb344676543ec82fe5f022ae8c713d SHA512 3c4469d5ab590fe2185dbe77cc1ca1179022b75b4da9f2fe0d43956b14598d56328dd4e62e8445197b25f93017c812edd75cb9fef2d81ae183aea478fd817b15
+DIST tempest-31.0.0.tar.gz 1110051 BLAKE2B 9c3c87db902220e3e8de6e88e0d282eae07cb3b155eaa415156e83aff9d52523416fbfcae5b49a335eb81ae3488e4e2aa4cf86d10a35820aa3e24184466576d8 SHA512 9f8cfae192a5fe0fd5d6c1659ae42b5f2042392945e2c91b3bb96cecc412a1e6e582bc46ab481452012dc2440d13bc8298ca875587d5b1592dc95971d9adf4f0
diff --git a/dev-python/tempest/tempest-31.0.0.ebuild b/dev-python/tempest/tempest-31.0.0.ebuild
new file mode 100644
index 000000000000..717a16a2484c
--- /dev/null
+++ b/dev-python/tempest/tempest-31.0.0.ebuild
@@ -0,0 +1,73 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="OpenStack Integration Testing"
+HOMEPAGE="
+ https://pypi.org/project/tempest/
+ https://docs.openstack.org/tempest/latest/
+ https://launchpad.net/tempest/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ >dev-python/cliff-2.9.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/paramiko-2.7.0[${PYTHON_USEDEP}]
+ >=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
+ >=dev-python/oslo-concurrency-3.26.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-4.7.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.12[${PYTHON_USEDEP}]
+ >=dev-python/subunit-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+ >=dev-python/prettytable-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.21.1[${PYTHON_USEDEP}]
+ >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ dev-python/stestr[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # Small subset of tests, which fail as result of not using specific
+ # testing environment. Others expect to run suite using stestr.
+ rm -r tempest/tests/lib/services/volume/v3/ || die
+ rm tempest/tests/test_list_tests.py || die
+ rm tempest/tests/lib/cmd/test_check_uuid.py || die
+
+ # remove dep on hacking
+ rm tempest/tests/test_hacking.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ mv "${BUILD_DIR}"/install/{usr/,}etc || die
+}
+
+python_test() {
+ local -x OS_LOG_CAPTURE=1 OS_STDOUT_CAPTURE=1 OS_STDERR_CAPTURE=1 OS_TEST_TIMEOUT=320
+ eunittest -b -s tempest/tests -t .
+}
diff --git a/dev-python/thrift/Manifest b/dev-python/thrift/Manifest
index c53960a2cd52..45af747b5be9 100644
--- a/dev-python/thrift/Manifest
+++ b/dev-python/thrift/Manifest
@@ -1 +1,2 @@
DIST thrift-0.14.1.tar.gz 4311458 BLAKE2B 00c0b77c3d722b0db833f03848df0b74ee64712ed1ff06e0b63b926eb493f43ffd9c316422b6044f74685471cdbd2ccea7c6305fd8dbbc10614f2151a3e16237 SHA512 e09e53b2ea3cad01ef81ab4b5a87bfed443cfda849a13c4f00ba0ed1cd1a1f9742faf95adb07f279506cc5f866c13fdce57149de1bc9e71ab5c40238037e8b22
+DIST thrift-0.16.0.tar.gz 4085114 BLAKE2B 17c35096f6848fb0795e4cb125fed3068c8e1e53f67f404f4dcab67df7a42fc049a7d615591c861eb9e59e3333e21f185e8615663008bc7c846a03722ea8b834 SHA512 468fff6be2def85959fdf8adac92a0cfa7f786083b3bafb2c31427dfe5725f4d10962052d13ea960828f6a317778d35e66b602744a570212352bfc637ae586e0
diff --git a/dev-python/thrift/thrift-0.16.0.ebuild b/dev-python/thrift/thrift-0.16.0.ebuild
new file mode 100644
index 000000000000..f523248e1803
--- /dev/null
+++ b/dev-python/thrift/thrift-0.16.0.ebuild
@@ -0,0 +1,18 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Python implementation of Thrift"
+HOMEPAGE="https://pypi.org/project/thrift/ https://thrift.apache.org/"
+SRC_URI="https://downloads.apache.org/${PN}/${PV}/${P}.tar.gz"
+S="${WORKDIR}/${P}/lib/py"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+RESTRICT="test"
diff --git a/dev-python/trivup/trivup-0.10.0.ebuild b/dev-python/trivup/trivup-0.10.0.ebuild
index 4581f842a387..87ea417d79d6 100644
--- a/dev-python/trivup/trivup-0.10.0.ebuild
+++ b/dev-python/trivup/trivup-0.10.0.ebuild
@@ -25,4 +25,6 @@ RDEPEND="
"
DEPEND="${RDEPEND}"
+RESTRICT="test" # tests try to download and install kafka
+
distutils_enable_tests pytest
diff --git a/dev-python/tweepy/Manifest b/dev-python/tweepy/Manifest
index ec1236764c0b..3daa794a2dd0 100644
--- a/dev-python/tweepy/Manifest
+++ b/dev-python/tweepy/Manifest
@@ -1 +1,2 @@
DIST tweepy-3.10.0.tar.gz 459678 BLAKE2B 8ed612e9a0ad0892110658c94bcf70ec3da4219c74fe9e4600bebd8ce16a81ef03461924aa9d170ccf3ae9127cfa0bc35a7d36a4b379b44ab5557eba8d30972c SHA512 2a40875c5612902e4ff69e6fdf73e9fa10b93a80bf4160b16e44e2dae058a90f86569b3a4bcb67a7acdf5c9c3119ce7ca35a3ae64e393181b78fde10dfd975b5
+DIST tweepy-4.10.0.tar.gz 5898258 BLAKE2B 862eb1b8c804171204ef636be3844e92c8a0ded8dbb3c9d3e9aa7c7379617f5e711385ac5df2849f48505f9ab74acd21b9239694033f9d1f2232c45e8e7f0815 SHA512 b84ff3ba795f0da775970cdf62cb8b614dcf287149398b9457be7a6049b8591369d5b181ec8bcd7bf4c4dd5994040c0eaa6e73179cae550bc56ee8b32324fd71
diff --git a/dev-python/tweepy/tweepy-4.10.0.ebuild b/dev-python/tweepy/tweepy-4.10.0.ebuild
new file mode 100644
index 000000000000..4151afd877a4
--- /dev/null
+++ b/dev-python/tweepy/tweepy-4.10.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="An easy-to-use Python library for accessing the Twitter API."
+HOMEPAGE="https://www.tweepy.org/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+KEYWORDS="~amd64"
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND="
+ dev-python/requests[${PYTHON_USEDEP},socks5]
+ dev-python/requests-oauthlib[${PYTHON_USEDEP}]
+"
+
+DEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/vcrpy[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests nose